/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
export {}

declare module 'vue' {
  export interface GlobalComponents {
    DocsCodeSnippet: typeof import('./src/components/docs/CodeSnippet.vue')['default']
    ExamplesButtonsDefault: typeof import('./src/components/examples/buttons/Default.vue')['default']
    ExamplesButtonsDisabled: typeof import('./src/components/examples/buttons/Disabled.vue')['default']
    ExamplesButtonsIcon: typeof import('./src/components/examples/buttons/Icon.vue')['default']
    ExamplesButtonsIconOnly: typeof import('./src/components/examples/buttons/IconOnly.vue')['default']
    ExamplesButtonsLight: typeof import('./src/components/examples/buttons/Light.vue')['default']
    ExamplesButtonsLink: typeof import('./src/components/examples/buttons/Link.vue')['default']
    ExamplesButtonsLoading: typeof import('./src/components/examples/buttons/Loading.vue')['default']
    ExamplesButtonsLoadingDisabled: typeof import('./src/components/examples/buttons/LoadingDisabled.vue')['default']
    ExamplesButtonsLoadingDisabledLight: typeof import('./src/components/examples/buttons/LoadingDisabledLight.vue')['default']
    ExamplesButtonsLoadingLight: typeof import('./src/components/examples/buttons/LoadingLight.vue')['default']
    ExamplesContentCallOut: typeof import('./src/components/examples/content/CallOut.vue')['default']
    ExamplesFeedbackDialog: typeof import('./src/components/examples/feedback/Dialog.vue')['default']
    ExamplesFeedbackDialogCustomIcon: typeof import('./src/components/examples/feedback/DialogCustomIcon.vue')['default']
    ExamplesFeedbackLoading: typeof import('./src/components/examples/feedback/Loading.vue')['default']
    ExamplesFeedbackLoadingAsyncFn: typeof import('./src/components/examples/feedback/LoadingAsyncFn.vue')['default']
    ExamplesFeedbackLoadingOverlay: typeof import('./src/components/examples/feedback/LoadingOverlay.vue')['default']
    ExamplesFeedbackLoadingOverlayWithSteps: typeof import('./src/components/examples/feedback/LoadingOverlayWithSteps.vue')['default']
    ExamplesFeedbackLoadingSizes: typeof import('./src/components/examples/feedback/LoadingSizes.vue')['default']
    ExamplesFeedbackLoadingStepStatusTypes: typeof import('./src/components/examples/feedback/LoadingStepStatusTypes.vue')['default']
    ExamplesFeedbackLoadingWithService: typeof import('./src/components/examples/feedback/LoadingWithService.vue')['default']
    ExamplesFeedbackLoadingWithSteps: typeof import('./src/components/examples/feedback/LoadingWithSteps.vue')['default']
    ExamplesFormCheckboxGroup: typeof import('./src/components/examples/form/CheckboxGroup.vue')['default']
    ExamplesFormCheckboxGroupButtons: typeof import('./src/components/examples/form/CheckboxGroupButtons.vue')['default']
    ExamplesFormCheckboxGroupCustom: typeof import('./src/components/examples/form/CheckboxGroupCustom.vue')['default']
    ExamplesFormCheckboxGroupHighlighted: typeof import('./src/components/examples/form/CheckboxGroupHighlighted.vue')['default']
    ExamplesFormContact: typeof import('./src/components/examples/form/Contact.vue')['default']
    ExamplesFormInputAddon: typeof import('./src/components/examples/form/InputAddon.vue')['default']
    ExamplesFormInputDisabled: typeof import('./src/components/examples/form/InputDisabled.vue')['default']
    ExamplesFormInputError: typeof import('./src/components/examples/form/InputError.vue')['default']
    ExamplesFormInputFile: typeof import('./src/components/examples/form/InputFile.vue')['default']
    ExamplesFormInputGrid: typeof import('./src/components/examples/form/InputGrid.vue')['default']
    ExamplesFormInputHints: typeof import('./src/components/examples/form/InputHints.vue')['default']
    ExamplesFormInputIcon: typeof import('./src/components/examples/form/InputIcon.vue')['default']
    ExamplesFormInputSimple: typeof import('./src/components/examples/form/InputSimple.vue')['default']
    ExamplesFormMessage: typeof import('./src/components/examples/form/Message.vue')['default']
    ExamplesFormPasswordInput: typeof import('./src/components/examples/form/PasswordInput.vue')['default']
    ExamplesFormRadioGroup: typeof import('./src/components/examples/form/RadioGroup.vue')['default']
    ExamplesFormRadioGroupButtons: typeof import('./src/components/examples/form/RadioGroupButtons.vue')['default']
    ExamplesFormRadioGroupCustom: typeof import('./src/components/examples/form/RadioGroupCustom.vue')['default']
    ExamplesFormRadioGroupWithReset: typeof import('./src/components/examples/form/RadioGroupWithReset.vue')['default']
    ExamplesFormSelect: typeof import('./src/components/examples/form/Select.vue')['default']
    ExamplesFormSelectIcon: typeof import('./src/components/examples/form/SelectIcon.vue')['default']
    ExamplesFormSelectMultiple: typeof import('./src/components/examples/form/SelectMultiple.vue')['default']
    ExamplesFormSelectMultipleIcon: typeof import('./src/components/examples/form/SelectMultipleIcon.vue')['default']
    ExamplesFormTextarea: typeof import('./src/components/examples/form/Textarea.vue')['default']
    ExamplesFormTextareaIcon: typeof import('./src/components/examples/form/TextareaIcon.vue')['default']
    ExamplesLayoutBreadcrumbs: typeof import('./src/components/examples/layout/Breadcrumbs.vue')['default']
    ExamplesLayoutNavbar: typeof import('./src/components/examples/layout/Navbar.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    UiBox: typeof import('./src/components/ui/Box.vue')['default']
    UiBreadcrumbs: typeof import('./src/components/ui/Breadcrumbs.vue')['default']
    UiButton: typeof import('./src/components/ui/Button.vue')['default']
    UiCallOut: typeof import('./src/components/ui/CallOut.vue')['default']
    UiCheckbox: typeof import('./src/components/ui/Checkbox.vue')['default']
    UiCheckboxGroup: typeof import('./src/components/ui/CheckboxGroup.vue')['default']
    UiContainer: typeof import('./src/components/ui/Container.vue')['default']
    UiDialog: typeof import('./src/components/ui/Dialog.vue')['default']
    UiFormErrors: typeof import('./src/components/ui/FormErrors.vue')['default']
    UiFormHints: typeof import('./src/components/ui/FormHints.vue')['default']
    UiInput: typeof import('./src/components/ui/Input.vue')['default']
    UiInputGrid: typeof import('./src/components/ui/InputGrid.vue')['default']
    UiLanguageSelect: typeof import('./src/components/ui/LanguageSelect.vue')['default']
    UiLoading: typeof import('./src/components/ui/Loading.vue')['default']
    UiLoadingStep: typeof import('./src/components/ui/LoadingStep.vue')['default']
    UiMessage: typeof import('./src/components/ui/Message.vue')['default']
    UiNavbar: typeof import('./src/components/ui/Navbar.vue')['default']
    UiNavbarList: typeof import('./src/components/ui/NavbarList.vue')['default']
    UiNavbarListItem: typeof import('./src/components/ui/NavbarListItem.vue')['default']
    UiNavbarToggleButton: typeof import('./src/components/ui/NavbarToggleButton.vue')['default']
    UiPage: typeof import('./src/components/ui/Page.vue')['default']
    UiPasswordInput: typeof import('./src/components/ui/PasswordInput.vue')['default']
    UiRadio: typeof import('./src/components/ui/Radio.vue')['default']
    UiRadioGroup: typeof import('./src/components/ui/RadioGroup.vue')['default']
    UiSelect: typeof import('./src/components/ui/Select.vue')['default']
    UiSidebarNav: typeof import('./src/components/ui/SidebarNav.vue')['default']
    UiSidebarNavItem: typeof import('./src/components/ui/SidebarNavItem.vue')['default']
    UiSvgIcon: typeof import('./src/components/ui/SvgIcon.vue')['default']
    UiTextarea: typeof import('./src/components/ui/Textarea.vue')['default']
    UiTransitionExpand: typeof import('./src/components/ui/transition/Expand.vue')['default']
    UiTransitionFade: typeof import('./src/components/ui/transition/Fade.vue')['default']
  }
}
